package com.fs.store.mapper;

import java.util.List;
import com.fs.store.domain.FsArticleCate;
import com.fs.store.vo.FsArticleCateListQueryVO;
import org.apache.ibatis.annotations.Select;

/**
 * 文章分类Mapper接口
 *
 * @author fs
 * @date 2022-03-25
 */
public interface FsArticleCateMapper
{
    /**
     * 查询文章分类
     *
     * @param cateId 文章分类ID
     * @return 文章分类
     */
    public FsArticleCate selectFsArticleCateById(Long cateId);

    /**
     * 查询文章分类列表
     *
     * @param fsArticleCate 文章分类
     * @return 文章分类集合
     */
    public List<FsArticleCate> selectFsArticleCateList(FsArticleCate fsArticleCate);

    /**
     * 新增文章分类
     *
     * @param fsArticleCate 文章分类
     * @return 结果
     */
    public int insertFsArticleCate(FsArticleCate fsArticleCate);

    /**
     * 修改文章分类
     *
     * @param fsArticleCate 文章分类
     * @return 结果
     */
    public int updateFsArticleCate(FsArticleCate fsArticleCate);

    /**
     * 删除文章分类
     *
     * @param cateId 文章分类ID
     * @return 结果
     */
    public int deleteFsArticleCateById(Long cateId);

    /**
     * 批量删除文章分类
     *
     * @param cateIds 需要删除的数据ID
     * @return 结果
     */
    public int deleteFsArticleCateByIds(Long[] cateIds);
    @Select("select * from fs_article_cate where status=1 and is_del=0 order by sort asc " )
    List<FsArticleCateListQueryVO> selectFsArticleCateListQuery();
}
